Debian Bug report logs - #323139
RM: altgcc -- RoM; obsolete

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Matthias Klose <doko@cs.tu-berlin.de>

Date: Sun, 14 Aug 2005 23:18:22 UTC

Severity: normal

Merged with 328584

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>, debian-gcc@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#323139; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>, debian-gcc@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: submit@bugs.debian.org
Subject: ROM: please remove altgcc (Re: packages still setting /usr/doc link)
Date: Mon, 15 Aug 2005 01:14:45 +0200
Package: ftp.debian.org

Joey Hess writes:
> The following is a list by maintainer of the 497 packages that still
> contain code in their postinst to create links in /usr/doc/. That's been
> a bug since 2002, and most of these packages have probably not been
> updated since then, since recompiling most of them with a current
> debhelper will remove the link code.
> 
> Please fix your packages. Filing bugs on nearly 500 packages is
> something I'd prefer not to do, but it might come to that. We've been
> working on this transition for 5 or 6 years now, and it's about time to
> finish it.

> Debian GCC maintainers <gcc@packages.debian.org>
>    altgcc

I didn't realize that this one still does exist. Please remove it from
unstable.

	Matthias



Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#323139; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #12 received at 323139@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Matthias Klose <doko@cs.tu-berlin.de>, 323139@bugs.debian.org
Cc: David Engel <david@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>, RISKO Gergely <risko@debian.org>, Christian Hudon <chrish@debian.org>
Subject: Re: Bug#323139: RoM: please remove altgcc
Date: Tue, 16 Aug 2005 14:08:26 +0200
On Mon, Aug 15, 2005 at 01:14:45AM +0200, Matthias Klose wrote:
> Joey Hess writes:
> >    altgcc
> 
> I didn't realize that this one still does exist. Please remove it from
> unstable.

A number of libc5 related packages still depend on it though, and
should be removed together.

ld.so: The Linux dynamic linker and library for libc4 and libc5. 
libc: libc5
libdb: libdb1
libg++27: The GNU C++ libraries (libc5 version) 
regex: libc5 version of regex libs
termcap-compat: Compatibility package for old termcap-based programs.


What do you think of this? Based on popcon stats libc5, it's hard to
say whether it's still really used, though I think it's pushing things
to still ship this stuff with etch.

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#323139; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Francesco Paolo Lovergine <frankie@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #17 received at 323139@bugs.debian.org (full text, mbox):

From: Francesco Paolo Lovergine <frankie@debian.org>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: Matthias Klose <doko@cs.tu-berlin.de>, 323139@bugs.debian.org, David Engel <david@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>, RISKO Gergely <risko@debian.org>, Christian Hudon <chrish@debian.org>
Subject: Re: Bug#323139: RoM: please remove altgcc
Date: Tue, 16 Aug 2005 17:56:36 +0200
On Tue, Aug 16, 2005 at 02:08:26PM +0200, Jeroen van Wolffelaar wrote:
> On Mon, Aug 15, 2005 at 01:14:45AM +0200, Matthias Klose wrote:
> > Joey Hess writes:
> > >    altgcc
> > 
> > I didn't realize that this one still does exist. Please remove it from
> > unstable.
> 
> A number of libc5 related packages still depend on it though, and
> should be removed together.
> 
> ld.so: The Linux dynamic linker and library for libc4 and libc5. 
> libc: libc5
> libdb: libdb1
> libg++27: The GNU C++ libraries (libc5 version) 
> regex: libc5 version of regex libs
> termcap-compat: Compatibility package for old termcap-based programs.
> 
> 
> What do you think of this? Based on popcon stats libc5, it's hard to
> say whether it's still really used, though I think it's pushing things
> to still ship this stuff with etch.
> 

I already proposed to remove the whole libc5 chaintools and
dependencies before woody release. A few users complained because of a 
few old commercial programs (such as wordperfect and so)
which depends yet on it. I asked on d-d at that time. Probably a survey
could be conducted on d-u (I'm not subscribed) to know general
suggestions by our users. I still have the same opinion, the old
chaintool is now and always a pain to compile with every new release 
of the current one, and has a good deal of bugs.

-- 
Francesco P. Lovergine



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#323139; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Christian Hudon <chrish@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #22 received at 323139@bugs.debian.org (full text, mbox):

From: Christian Hudon <chrish@debian.org>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: Matthias Klose <doko@cs.tu-berlin.de>, 323139@bugs.debian.org, David Engel <david@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>, RISKO Gergely <risko@debian.org>
Subject: Re: Bug#323139: RoM: please remove altgcc
Date: Tue, 16 Aug 2005 13:19:18 -0400
Jeroen van Wolffelaar wrote:

>On Mon, Aug 15, 2005 at 01:14:45AM +0200, Matthias Klose wrote:
>  
>
>A number of libc5 related packages still depend on it though, and
>should be removed together.
>
>ld.so: The Linux dynamic linker and library for libc4 and libc5. 
>libc: libc5
>libdb: libdb1
>libg++27: The GNU C++ libraries (libc5 version) 
>regex: libc5 version of regex libs
>termcap-compat: Compatibility package for old termcap-based programs.
>  
>
I was planning on deprecating/removing termcap-compat anyways, so if it
gets removed at the same time as altgcc that's fine by me.

  Christian




Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#323139; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #27 received at 323139@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: debian-user@lists.debian.org, debian-devel@lists.debian.org
Cc: Francesco Paolo Lovergine <frankie@debian.org>, 323139@bugs.debian.org
Subject: Do we still need libc5?
Date: Sat, 3 Sep 2005 04:33:13 +0200
Hi all,

Debian unstable & testing still carry around libc5, and some associated
packages like altgcc, libdb1, ld.so and a few others.

Is there nowadays still a use for these packages? Does the amount of
usage warrant the efforts it take to maintain these rather outdated
packages? I get a mixed reading from the popcon output, I don't know how
to interpret it accurately. Fact is though that libc6 has been in Debian
stable for over 7 years, since hamm was releaed mid-1998, and I think
Debian is like the only living Linux distribution out there still
shipping libc5.

Thanks for your insight,
--Jeroen

----- Forwarded message from Francesco Paolo Lovergine <frankie@debian.org> -----

Date: Tue, 16 Aug 2005 17:56:36 +0200
From: Francesco Paolo Lovergine <frankie@debian.org>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: Matthias Klose <doko@cs.tu-berlin.de>, 323139@bugs.debian.org,
	David Engel <david@debian.org>,
	Francesco Paolo Lovergine <frankie@debian.org>,
	RISKO Gergely <risko@debian.org>,
	Christian Hudon <chrish@debian.org>
Subject: Re: Bug#323139: RoM: please remove altgcc
Message-ID: <20050816155635.GA23073@ba.issia.cnr.it>

On Tue, Aug 16, 2005 at 02:08:26PM +0200, Jeroen van Wolffelaar wrote:
> On Mon, Aug 15, 2005 at 01:14:45AM +0200, Matthias Klose wrote:
> > Joey Hess writes:
> > >    altgcc
> > 
> > I didn't realize that this one still does exist. Please remove it from
> > unstable.
> 
> A number of libc5 related packages still depend on it though, and
> should be removed together.
> 
> ld.so: The Linux dynamic linker and library for libc4 and libc5. 
> libc: libc5
> libdb: libdb1
> libg++27: The GNU C++ libraries (libc5 version) 
> regex: libc5 version of regex libs
> termcap-compat: Compatibility package for old termcap-based programs.
> 
> 
> What do you think of this? Based on popcon stats libc5, it's hard to
> say whether it's still really used, though I think it's pushing things
> to still ship this stuff with etch.
> 

I already proposed to remove the whole libc5 chaintools and
dependencies before woody release. A few users complained because of a 
few old commercial programs (such as wordperfect and so)
which depends yet on it. I asked on d-d at that time. Probably a survey
could be conducted on d-u (I'm not subscribed) to know general
suggestions by our users. I still have the same opinion, the old
chaintool is now and always a pain to compile with every new release 
of the current one, and has a good deal of bugs.

-- 
Francesco P. Lovergine



----- End forwarded message -----

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#323139; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #32 received at 323139@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: debian-user@lists.debian.org, debian-devel@lists.debian.org, Francesco Paolo Lovergine <frankie@debian.org>, 323139@bugs.debian.org
Subject: Re: Do we still need libc5?
Date: Sat, 03 Sep 2005 18:48:55 +0200
* Jeroen van Wolffelaar:

> Fact is though that libc6 has been in Debian stable for over 7
> years, since hamm was releaed mid-1998,

This suggests that we should give it three more years or something
like that.

However, if the packages aren't covered by security support anyway, it
probably doesn't make a difference to our users if we stop shipping
them.

> and I think Debian is like the only living Linux distribution out
> there still shipping libc5.

Are you sure?  I would be very surprised if the "enterprise"
distributions didn't ship it as well.



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#323139; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@whinlatter.ukfsn.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #37 received at 323139@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@whinlatter.ukfsn.org>
To: debian-devel@lists.debian.org
Cc: 323139@bugs.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>
Subject: Re: Do we still need libc5?
Date: Sun, 04 Sep 2005 11:31:26 +0100
Florian Weimer <fw@deneb.enyo.de> writes:

> * Roger Leigh:
>
>> We can't provide proper security support, and by now, libc5 is likely
>> full of holes, so IMO it's best if we drop it.  It's not like there's
>> any active maintenance or we can do any serious work on it: it's dead
>> code.
>>
>> If users need it, they can always grab a sarge (or older) CD and
>> install from that.
>
> I agree.  Security support would have made the difference, but the
> rest you can get from a CD.

To follow up to the original report, the full package list for removal
(and applicable RC bugs) are as follows:


ld.so:
  ldso
  libdl1-altdev

libc:
  libc5
  libc5-altdev
  libc5-altdbg

libdb:
  libdb1
  libdb1-altdev

libg++27: #322854
  libg++27
  libg++27-altdev

regex: #318198
  libregex0
  libregex0-altdev

termcap-compat:
  termcap-compat

altgcc: #323139
  altgcc


Regards,
Roger

-- 
Roger Leigh
                Printing on GNU/Linux?  http://gimp-print.sourceforge.net/
                Debian GNU/Linux        http://www.debian.org/
                GPG Public Key: 0x25BFB848.  Please sign and encrypt your mail.



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#323139; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #42 received at 323139@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Francesco Paolo Lovergine <frankie@debian.org>, 323139@bugs.debian.org
Cc: Matthias Klose <doko@cs.tu-berlin.de>, David Engel <david@debian.org>, RISKO Gergely <risko@debian.org>, Christian Hudon <chrish@debian.org>
Subject: Re: Bug#323139: RoM: please remove altgcc
Date: Mon, 12 Sep 2005 23:07:43 +0200
On Tue, Aug 16, 2005 at 05:56:36PM +0200, Francesco Paolo Lovergine wrote:
> On Tue, Aug 16, 2005 at 02:08:26PM +0200, Jeroen van Wolffelaar wrote:
> > On Mon, Aug 15, 2005 at 01:14:45AM +0200, Matthias Klose wrote:
> > > Joey Hess writes:
> > > >    altgcc
> > > I didn't realize that this one still does exist. Please remove it from
> > > unstable.
> > 
> > A number of libc5 related packages still depend on it though, and
> > should be removed together.
>
> Probably a survey could be conducted on d-u (I'm not subscribed) to
> know general suggestions by our users. I still have the same opinion,
> the old chaintool is now and always a pain to compile with every new
> release of the current one, and has a good deal of bugs.

Right, I mailed -devel and -user, and didn't hear any objections. Risko,
David, please voice your objections now if you disagree. In absence of
objections, I'll proceed and remove those packages in two weeks or so.

Thanks,
--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Merged 323139 328584. Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@cs.tu-berlin.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #49 received at 323139-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 323139-close@bugs.debian.org
Cc: altgcc@packages.debian.org, altgcc@packages.qa.debian.org, ld.so@packages.debian.org, ld.so@packages.qa.debian.org, libc@packages.debian.org, libc@packages.qa.debian.org, libdb@packages.debian.org, libdb@packages.qa.debian.org, libg++27@packages.debian.org, libg++27@packages.qa.debian.org, regex@packages.debian.org, regex@packages.qa.debian.org, termcap-compat@packages.debian.org, termcap-compat@packages.qa.debian.org
Subject: Bug#323139: fixed
Date: Tue, 27 Sep 2005 17:46:42 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

    altgcc | 1:2.7.2.3-2 | source, i386
     ld.so |  1.9.11-15 | source
      ldso |  1.9.11-15 | i386
      libc |  5.4.46-15 | source
     libc5 |  5.4.46-15 | i386
libc5-altdbg |  5.4.46-15 | i386
libc5-altdev |  5.4.46-15 | i386
     libdb |  1.85.4-10 | source
    libdb1 |  1.85.4-10 | i386
libdb1-altdev |  1.85.4-10 | i386
libdl1-altdev |  1.9.11-15 | i386
  libg++27 | 2.7.2.1-19 | source, i386
libg++27-altdev | 2.7.2.1-19 | i386
termcap-compat |      1.2.3 | source, i386

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 323139@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 02:21:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:21:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.